Debian Bug report logs - #489263
python-setuptools: Unable to handle subversion 1.5 .svn/entries

version graph

Package: python-setuptools; Maintainer for python-setuptools is Matthias Klose <doko@debian.org>; Source for python-setuptools is src:python-setuptools.

Reported by: Mario Lang <mlang@debian.org>

Date: Fri, 4 Jul 2008 15:24:02 UTC

Severity: important

Found in version python-setuptools/0.6c8-3

Fixed in version python-setuptools/0.6c8-4

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#489263; Package python-setuptools. Full text and rfc822 format available.

Acknowledgement sent to Mario Lang <mlang@debian.org>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mario Lang <mlang@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-setuptools: Unable to handle subversion 1.5 .svn/entries
Date: Fri, 04 Jul 2008 17:22:33 +0200
Package: python-setuptools
Version: 0.6c8-3
Severity: serious

The symptom:
x2:~/src/a11y/freedots% python setup.py sdist
running sdist
running egg_info
writing requirements to freedots.egg-info/requires.txt
writing freedots.egg-info/PKG-INFO
writing top-level names to freedots.egg-info/top_level.txt
writing dependency_links to freedots.egg-info/dependency_links.txt
writing entry points to freedots.egg-info/entry_points.txt
Traceback (most recent call last):
  File "setup.py", line 84, in <module>
    keywords = "braille, music notation, musicxml, midi, gtk"
  File "/usr/lib/python2.5/distutils/core.py", line 151, in setup
    dist.run_commands()
  File "/usr/lib/python2.5/distutils/dist.py", line 974, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/site-packages/setuptools/command/sdist.py", line 141, in run
    self.run_command('egg_info')
  File "/usr/lib/python2.5/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/site-packages/setuptools/command/egg_info.py", line 171, in run
    self.find_sources()
  File "/usr/lib/python2.5/site-packages/setuptools/command/egg_info.py", line 252, in find_sources
    mm.run()
  File "/usr/lib/python2.5/site-packages/setuptools/command/egg_info.py", line 306, in run
    self.add_defaults()
  File "/usr/lib/python2.5/site-packages/setuptools/command/egg_info.py", line 333, in add_defaults
    rcfiles = list(walk_revctrl())
  File "/usr/lib/python2.5/site-packages/setuptools/command/sdist.py", line 45, in walk_revctrl
    for item in ep.load()(dirname):
  File "/usr/lib/python2.5/site-packages/setuptools/command/sdist.py", line 52, in _default_revctrl
    for path in finder(dirname,path):
  File "/usr/lib/python2.5/site-packages/setuptools/command/sdist.py", line 98, in entries_finder
    log.warn("unrecognized .svn/entries format in %s", dirname)
NameError: global name 'log' is not defined
zsh: exit 1     python setup.py sdist

The code in /usr/lib/python2.5/site-packages/setuptools/command/sdist.py
is as follows:

def entries_finder(dirname, filename):
    f = open(filename,'rU')
    data = f.read()
    f.close()
    if data.startswith('8'):    # subversion 1.4
        for record in map(str.splitlines, data.split('\n\x0c\n')[1:]):
            if not record or len(record)>=6 and record[5]=="delete":
                continue    # skip deleted
            yield joinpath(dirname, record[0])
    elif data.startswith('<?xml'):
        for match in entries_pattern.finditer(data):
            yield joinpath(dirname,unescape(match.group(1)))
    else:
        log.warn("unrecognized .svn/entries format in %s", dirname)

But my .svn/entries files start with '9' as the first character because
I am using subversion 1.5 (which is packaged).

It follows that this version of python-setuptools is
not compatible with subversion 1.5, breaking my setup.py files
because I upgraded to subversion 1.5.  As it stands, setuptools
is not pretty unusable on my system.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-setuptools depends on:
ii  python                        2.5.2-1    An interactive high-level object-o
ii  python-central                0.6.7      register and build utility for Pyt
ii  python-pkg-resources          0.6c8-3    Package Discovery and Resource Acc

python-setuptools recommends no packages.

-- no debconf information

-- 
CYa,
  ⡍⠁⠗⠊⠕ | Debian Developer <URL:http://debian.org/>
  .''`. | Get my public key via finger mlang/key@db.debian.org
 : :' : | 1024D/7FC1A0854909BCCDBE6C102DDFFC022A6B113E44
 `. `'
   `-      <URL:http://delysid.org/>  <URL:http://www.staff.tugraz.at/mlang/>




Severity set to `important' from `serious' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Sat, 05 Jul 2008 08:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#489263; Package python-setuptools. Full text and rfc822 format available.

Acknowledgement sent to Jason Edson <jasonedson@ymail.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #12 received at 489263@bugs.debian.org (full text, mbox):

From: Jason Edson <jasonedson@ymail.com>
To: 489263@bugs.debian.org
Subject: RE: python-setuptools: Unable to handle subversion 1.5 .svn/entries
Date: Sat, 5 Jul 2008 01:50:14 -0700 (PDT)
[Message part 1 (text/plain, inline)]
adding:
from distutils import log
to the top of:
/usr/lib/python2.5/site-packages/setuptools/command/sdist.py
fixes it for me. This is my first bug report resonse so sorry if I formatted it wrong.

Jason Edson



      
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#489263; Package python-setuptools. Full text and rfc822 format available.

Acknowledgement sent to Gabriel Farrell <gsf@breaksalot.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #17 received at 489263@bugs.debian.org (full text, mbox):

From: Gabriel Farrell <gsf@breaksalot.org>
To: 489263@bugs.debian.org
Subject: RE: python-setuptools: Unable to handle subversion 1.5 .svn/entries
Date: Fri, 11 Jul 2008 15:52:08 -0400
The patch at http://bugs.python.org/issue2770 fixes the issue by looking
for files that start with '9' as well as '8', though I imagine sdist.py
should import the log function since it references it.  Silly setuptools.




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mario Lang <mlang@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 489263-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 489263-close@bugs.debian.org
Subject: Bug#489263: fixed in python-setuptools 0.6c8-4
Date: Sat, 12 Jul 2008 07:47:04 +0000
Source: python-setuptools
Source-Version: 0.6c8-4

We believe that the bug you reported is fixed in the latest version of
python-setuptools, which is due to be installed in the Debian FTP archive:

python-pkg-resources_0.6c8-4_all.deb
  to pool/main/p/python-setuptools/python-pkg-resources_0.6c8-4_all.deb
python-setuptools_0.6c8-4.diff.gz
  to pool/main/p/python-setuptools/python-setuptools_0.6c8-4.diff.gz
python-setuptools_0.6c8-4.dsc
  to pool/main/p/python-setuptools/python-setuptools_0.6c8-4.dsc
python-setuptools_0.6c8-4_all.deb
  to pool/main/p/python-setuptools/python-setuptools_0.6c8-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 489263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python-setuptools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 Jul 2008 09:25:36 +0200
Source: python-setuptools
Binary: python-setuptools python-pkg-resources
Architecture: source all
Version: 0.6c8-4
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 python-pkg-resources - Package Discovery and Resource Access using pkg_resources
 python-setuptools - Python Distutils Enhancements
Closes: 489263
Changes: 
 python-setuptools (0.6c8-4) unstable; urgency=low
 .
   * Don't break with subversion-1.5. Closes: #489263.
Checksums-Sha1: 
 a66df2136817c8bd5aa07f45c4e7335e59c1d6f8 1142 python-setuptools_0.6c8-4.dsc
 95bce67ab9fd9bd74a5d518e65bbc9259138309d 11244 python-setuptools_0.6c8-4.diff.gz
 78318c355e6e7442fc680195f06e7c484684c2c7 190242 python-setuptools_0.6c8-4_all.deb
 1cce223b7695999a4d872a52b03ac8f1c7552628 62120 python-pkg-resources_0.6c8-4_all.deb
Checksums-Sha256: 
 5f373ca15edfe598ecd9df0e3b00bae2e453a317246b002416ee93412ab14b63 1142 python-setuptools_0.6c8-4.dsc
 c4bac8bd6e289f4a0a20fab86b7497ecd3435ca7fa910d73f1796d62ddfcd952 11244 python-setuptools_0.6c8-4.diff.gz
 e1fa3988b13a80ef9e9aeedb05949faee419cc4425ec0623dadac84109dcbe3b 190242 python-setuptools_0.6c8-4_all.deb
 9825311a1535d2efc7c2f1f3f47ead56aef2e0a93850a87a70254a9afeb5c2de 62120 python-pkg-resources_0.6c8-4_all.deb
Files: 
 bc6230a6ca5362a7b3825aee599f1972 1142 python optional python-setuptools_0.6c8-4.dsc
 418a954dc19137b2c4ea10dbd3b1f3e0 11244 python optional python-setuptools_0.6c8-4.diff.gz
 51695488a9062e681df5642a58352cc7 190242 python optional python-setuptools_0.6c8-4_all.deb
 4c2af8f92de72211f50dd7a399830a73 62120 python optional python-pkg-resources_0.6c8-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkh4XgcACgkQStlRaw+TLJxmuQCgsHJSpm01U4olrtc0z9gSbu1L
kfUAn298fkYJKDliRcGoT5J1hhVCVDlC
=9U4B
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Aug 2008 07:33:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:08:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.